<li>
    <form action="{% url 'compare:bookmark' p.id_product %}" method="post">
        {% csrf_token %}
        <div class="input-group-btn">
            Ajouter aux favoris :
            <button class="btn btn-default" type="submit">
                <i class="far fa-bookmark"></i>
            </button>
        </div>
        {% if next %}
        <input type="hidden" name="next" value="{{ next }}">
        {% else %}
        <input type="hidden" name="next" value="">
        {% endif %}
    </form>
</li>